Summary: Plesk PHP Panda is a multi-version php suite 
Name:    plesk-php52-panda
Version: 1.0
Release: 1.art
Source0: README
License: AGPL
URL: http://www.atomicorp.com
Group: Development/Languages
Vendor: Atomicorp
Packager: Scott R. Shinn <scott@atomicorp.com>
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Prefix: %{_prefix}

#Provides: php-panda

# el5
# php-dba, plesk 11.5 has a newer tokyocabinet package
# removed embedded, not needed
Requires: atomic-php52-php atomic-php52-php-bcmath atomic-php52-php-cli atomic-php52-php-common atomic-php52-php-dba atomic-php52-php-devel atomic-php52-php-gd atomic-php52-php-imap atomic-php52-php-ldap atomic-php52-php-mbstring atomic-php52-php-mcrypt atomic-php52-php-mhash atomic-php52-php-mysql atomic-php52-php-ncurses atomic-php52-php-odbc atomic-php52-php-pdo atomic-php52-php-pgsql atomic-php52-php-process atomic-php52-php-pspell atomic-php52-php-recode atomic-php52-php-snmp atomic-php52-php-soap atomic-php52-php-tidy atomic-php52-php-xml atomic-php52-php-xmlrpc


%description
The Plesk PHP52 Panda is a suite of multiple PHP versions to an alternate location
Allowing the default system version of PHP to remain in place. It is primarily 
designed for Plesk hosting environments, but can be used on any RPM based system.

* PHP 5.2


%prep


%build

%install
mkdir -p %{buildroot}/usr/share/doc/plesk-php52-panda/
install -m0644 %{SOURCE0} %{buildroot}/usr/share/doc/plesk-php52-panda/README



%post 
#if [ $1 = 1 ]; then
# Install
if [ -f /usr/local/psa/bin/php_handler ]; then

        if grep -q ^11 /usr/local/psa/version; then
                LEGACY_HANDLER=1
        fi



	# 5.2
	if ! /usr/local/psa/bin/php_handler  --list |grep -q "Atomic 5.2"; then
                if [ $LEGACY_HANDLER  ]; then
                        /usr/local/psa/bin/php_handler --add -displayname "Atomic 5.2" -path "/opt/atomic/atomic-php52/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php52/root/etc/php.ini"  -type fastcgi -id "fastcgi-52"
		else
                	/usr/local/psa/bin/php_handler --add -displayname "Atomic 5.2" -path "/opt/atomic/atomic-php52/root/usr/bin/php-cgi" -phpini "/opt/atomic/atomic-php52/root/etc/php.ini" -clipath "/opt/atomic/atomic-php52/root/usr/bin/php" -type fastcgi -id "fastcgi-52"
		fi

	fi


fi

# Minor php.ini fix
sed -i 's/^extension_dir/;extension_dir/g' /opt/atomic/atomic-php52/root/etc/php.ini || :


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
/usr/share/doc/plesk-php52-panda/README

%changelog
* Thu Oct 15 2015 Scott R. Shinn <scott@atomicorp.com> - 1.0-1
- Add legacy plesk 11.5 support
- Bugfix for extension dirs

* Tue Apr 28 2015 Scott R. Shinn <scott@atomicorp.com> - 0.6-4
- Add clipath for plesk 12.1 compatibility

* Wed May 21 2014 Scott R. Shinn <scott@atomicorp.com> - 0.5-4
- Add PHP 5.2 support

* Sun Feb 23 2014 Scott R. Shinn <scott@atomicorp.com> - 0.4-1
- Add PHP 5.6 support

* Fri Nov 22 2013 Scott R. Shinn <scott@atomicorp.com> - 0.1-0
- Inital release
